SDL_GetSemaphoreValue(3)

NAME
SDL_GetSemaphoreValue - Get the current value of a semaphore.

SYNOPSIS
#include <SDL3/SDL_mutex.h>

Uint32 SDL_GetSemaphoreValue(SDL_Semaphore *sem);

FUNCTION PARAMETERS

sem the semaphore to query.

RETURN VALUE
Returns the current value of the semaphore.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.